Bug 1270027 - [RFE] Support for smart cards in sssd
Summary: [RFE] Support for smart cards in sssd
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sssd
Version: 6.8
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: rc
: ---
Assignee: SSSD Maintainers
QA Contact: Namita Soman
Aneta Šteflová Petrová
URL:
Whiteboard:
Depends On: 854396 1297034 1299066 1301072
Blocks: 1172231 1272422
TreeView+ depends on / blocked
 
Reported: 2015-10-08 20:27 UTC by Jakub Hrozek
Modified: 2019-11-14 07:02 UTC (History)
22 users (show)

Fixed In Version: sssd-1.13.2-5.el6
Doc Type: Release Note
Doc Text:
SSSD smart card support SSSD now supports smart cards for local authentication. With this feature, the user can use a smart card to log on to the system using a text-based or graphical console, as well as local services such as the *sudo* service. The user places the smart card into the reader and provides the user name and the smart card PIN at the login prompt. If the certificate on the smart card is verified, the user is successfully authenticated. Note that SSSD currently does not enable the user to acquire a Kerberos ticket using a smart card. To obtain a Kerberos ticket, the user is still required to authenticate using the *kinit* utility. To enable smart card support in Red Hat Enterprise Linux 6, you must allow SSSD to prompt for password, one-time password (OTP), or the smart card PIN by modifying the `auth` lines of the `/etc/pam.d/password-auth` and `/etc/pam.d/system-auth` PAM configuration files. For detailed information, see the Identity Management Guide: http://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/6/html-single/Identity_Management_Guide/index.html#idm-smart-cards
Clone Of: 854396
Environment:
Last Closed: 2016-05-10 20:21:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1081088 None None None Never
Red Hat Product Errata RHBA-2016:0782 normal SHIPPED_LIVE sssd bug fix and enhancement update 2016-05-10 22:36:00 UTC

Comment 2 Roshni 2016-01-28 14:28:38 UTC
Will verify the bug once there is decision on https://bugzilla.redhat.com/show_bug.cgi?id=1299066

Comment 5 Scott Poore 2016-03-08 15:13:53 UTC
Verified by Roshni earlier.  Was waiting on bug #1299066 to be verified before marking this one.

Comment 10 errata-xmlrpc 2016-05-10 20:21:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-0782.html


Note You need to log in before you can comment on or make changes to this bug.